E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | List of all members
GNet::MonitorImp Class Reference

A pimple-pattern implementation class for GNet::Monitor. More...

## Public Member Functions
| MonitorImp (Monitor &monitor)
void | add (const Connection &, bool is_client)
void | remove (const Connection &, bool is_client)
void | report (std::ostream &s, const std::string &px, const std::string &eol) const
void | report (G::StringArray &) const
std::string | certificateId (const std::string &certificiate)
std::pair< std::string, bool > | findCertificate (const std::string &certificate)

## Detailed Description

A pimple-pattern implementation class for GNet::Monitor.

Definition at line 35 of file gmonitor.cpp.

The documentation for this class was generated from the following file:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gnet/gmonitor.cpp